org.eclipse.oomph.setup

## Interface CatalogSelection

- All Superinterfaces:
    EObject, ModelElement, Notifier
  All Known Implementing Classes:
    CatalogSelectionImpl

      public interface CatalogSelection
      extends ModelElement

  A representation of the model object 'Catalog Selection'.

  The following features are supported:

  - `Product Catalogs`
  - `Project Catalogs`
  - `Default Product Versions`
  - `Default Streams`
  - `Selected Streams`
  See Also:
    `SetupPackage.getCatalogSelection()`
  Generated
  Model

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `EMap<Product,ProductVersion>` | `getDefaultProductVersions()` Returns the value of the 'Default Product Versions' map.
    `EMap<Project,Stream>` | `getDefaultStreams()` Returns the value of the 'Default Streams' map.
    `EList<ProductCatalog>` | `getProductCatalogs()` Returns the value of the 'Product Catalogs' reference list.
    `EList<ProjectCatalog>` | `getProjectCatalogs()` Returns the value of the 'Project Catalogs' reference list.
    `EList<Stream>` | `getSelectedStreams()` Returns the value of the 'Selected Streams' reference list.

    - ### Methods inherited from interface org.eclipse.oomph.base.ModelElement

      `getAnnotation, getAnnotations`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getProductCatalogs

          EList<ProductCatalog> getProductCatalogs()

      Returns the value of the 'Product Catalogs' reference list. The list contents are of type `ProductCatalog`.

      If the meaning of the 'Product Catalogs' reference list isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Product Catalogs' reference list.
      See Also:
        `SetupPackage.getCatalogSelection_ProductCatalogs()`
      Generated
      Model
        keys="name" extendedMetaData="name='productCatalog'"

    - #### getProjectCatalogs

          EList<ProjectCatalog> getProjectCatalogs()

      Returns the value of the 'Project Catalogs' reference list. The list contents are of type `ProjectCatalog`.

      If the meaning of the 'Project Catalogs' reference list isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Project Catalogs' reference list.
      See Also:
        `SetupPackage.getCatalogSelection_ProjectCatalogs()`
      Generated
      Model
        keys="name" extendedMetaData="name='projectCatalog'"

    - #### getDefaultProductVersions

          EMap<Product,ProductVersion> getDefaultProductVersions()

      Returns the value of the 'Default Product Versions' map. The key is of type `Product`, and the value is of type `ProductVersion`,

      If the meaning of the 'Default Product Versions' map isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Default Product Versions' map.
      See Also:
        `SetupPackage.getCatalogSelection_DefaultProductVersions()`
      Generated
      Model
        mapType="org.eclipse.oomph.setup.ProductToProductVersionMapEntry<org.eclipse.oomph.setup.Product, org.eclipse.oomph.setup.ProductVersion>" extendedMetaData="name='defaultProductVersion'"

    - #### getDefaultStreams

          EMap<Project,Stream> getDefaultStreams()

      Returns the value of the 'Default Streams' map. The key is of type `Project`, and the value is of type `Stream`,

      If the meaning of the 'Default Streams' map isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Default Streams' map.
      See Also:
        `SetupPackage.getCatalogSelection_DefaultStreams()`
      Generated
      Model
        mapType="org.eclipse.oomph.setup.ProjectToStreamMapEntry<org.eclipse.oomph.setup.Project, org.eclipse.oomph.setup.Stream>" extendedMetaData="name='defaultStream'"

    - #### getSelectedStreams

          EList<Stream> getSelectedStreams()

      Returns the value of the 'Selected Streams' reference list. The list contents are of type `Stream`.

      If the meaning of the 'Selected Streams' reference list isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Selected Streams' reference list.
      See Also:
        `SetupPackage.getCatalogSelection_SelectedStreams()`
      Generated
      Model
        transient="true" volatile="true" derived="true"

Copyright (c) 2014 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v2.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v20.html